#
# spec file for package editarea (Version MACRO)
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define          _version    0_8_2
%if 0%{?suse_version}  
%define www_path /srv/  
%define apache_user wwwrun  
%define apache_group www  
%define apache_confdir apache2
%else  
%define www_path %{_var}  
%define apache_user apache  
%define apache_group apache  
%define apache_confdir http
%endif

Name:           editarea
Version:        %(echo %{_version} | sed 's/_/./g')
Release:        1.4
Summary:        A replacement for the HTML textarea tag

Group:          Applications/Internet
# Valid license according to http://fedoraproject.org/wiki/Licensing
License:        BSD 3-Clause; LGPL v2.0 or later; The Apache Software License
Url:            http://cdolivet.com/editarea/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}_%{_version}.zip
Source1:        %{name}.conf
Patch0:         editarea-fix_path.patch
Patch1:         editarea_0_8_2-bash.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  unzip
%if 0%{?suse_version}
Requires:       apache2
%else
Requires:       httpd
%endif
BuildArch:      noarch

%description
EditArea is a replacement for the HTML textarea tag.  It provides such
features as syntax highlighting (for some languages), search/replace,
goto line number and more.  EditArea is not a WYSIWYG editor.



%prep
%setup -qn %{name}_%{_version}
# Equiv to dos2unix
sed -i 's/\r//' ./todo.txt ./license_bsd.txt ./change_log.txt ./license_apache.txt ./docs/doc_style.css 
%patch0 -p1
%patch1 -p1

%build
# Nothing to build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{apache_confdir}/conf.d
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/edit_area/reg_syntax
install -p -m 0644 %{S:1} $RPM_BUILD_ROOT%{_sysconfdir}/%{apache_confdir}/conf.d/%{name}.conf

mv exemples examples
mv examples/exemple_full.html examples/example_full.html
cp -a edit_area/* $RPM_BUILD_ROOT%{_datadir}/%{name}

cd $RPM_BUILD_ROOT%{_datadir}/%{name}
rm -f change_log.txt license_apache.txt license_bsd.txt license_lgpl.txt todo.txt
cd -

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/%{apache_confdir}
%config(noreplace) %{_sysconfdir}/%{apache_confdir}/conf.d
%config(noreplace) %{_sysconfdir}/%{apache_confdir}/conf.d/*.conf
%{_datadir}/%{name}/
%doc change_log.txt license_apache.txt license_bsd.txt license_lgpl.txt todo.txt
%doc docs examples

%changelog
* Tue Jan  4 2011 mc@suse.de
- initial release
